package sgc.portal.cw.cw0609.web;

import org.springframework.web.bind.annotation.*;
import sgc.portal.base.util.EasyHashMap;
import sgc.portal.cw.cw0609.model.CW06090001U;
import sgc.portal.cw.cw0609.dto.CW06090001USearch;
import sgc.portal.cw.cw0609.service.CW06090001UService;

import java.util.List;
import java.util.Map;

@RestController
@RequestMapping("/cw/cw0609")
public class CW06090001UController {
    private final CW06090001UService service;

    public CW06090001UController(CW06090001UService service) {
        this.service = service;
    }

    @PostMapping("/CW06090001U/list")
    public List<EasyHashMap<String, Object>> getList(@RequestBody CW06090001USearch search) {
        return service.getList(search);
    }
    
    @PostMapping("/CW06090001U/save")
    public Map<String, String> update(@RequestBody List<CW06090001U> CW06090001U) {
    	return service.save(CW06090001U);
    }
    
    @PostMapping("/CW06090001U/conf")
    public Map<String, String> updateConf(@RequestBody List<CW06090001U> CW06090001U) {
    	return service.updateConf(CW06090001U);
    }
    
    @PostMapping("/CW06090001U/return")
    public Map<String, String> updateReturn(@RequestBody List<CW06090001U> CW06090001U) {
    	return service.updateReturn(CW06090001U);
    }
    
    
}
